<?php
defined('_JEXEC') or die('Restricted access');
?>

<div class="t3a-toolbar row">
    <div class="clearfix hidden-xs flex" style="align-items: center;">
        <?php echo $this->loadTemplate('form'); ?>
    </div>
    <div class="visible-xs col-xs-12 text-center"style="padding-top: 15px; padding-bottom: 15px">
        <a href="#filter-collapse" data-toggle="collapse" role="button" aria-expanded="false" aria-controls="filter-collapse"><i class="glyphicon glyphicon-filter"></i> Azioni e filtri</a>        
    </div>
    <div class="col-xs-12 collapse" id="filter-collapse">
        <?php echo $this->loadTemplate('form'); ?>
    </div>
</div>

<form action="<?php echo JRoute::_('index.php?option=com_osma&view=gestori'); ?>" method="post" id="adminForm" class="form-validate gestoriForm" name="gestoriForm">
    <div class="" style='margin-top: 15px;'>
        <div class="panel panel-default">
            <div class="panel-heading">
                <h3 class="panel-title">Anagrafica gestori | Luogo di lavoro</h3>
            </div>
            <div class="panel-body">
                <div class="table-responsive">
                    <table class="table table-bordered table-striped">
                        <thead>
                            <tr>
                                <th class="hidden-print">#</th>
                                <th class="hidden-print">Colori Compagnia</th>
                                <th>Ragione Sociale</th>
                                <th>Indirizzo</th>
                                <th>PIVA</th>
                                <th>CF</th>
                                <th>Nr. Rea</th>
                                <th>P.to Vendita</th>
                                <th>Azienda</th>
                                <th class="center hidden-print" width="5%">Rif.</th>
                                <th class="center hidden-print" width="5%">Matr. associate</th>
                            </tr>
                        </thead>
                        <tfoot  class="hidden-print">
                            <tr>
                                <td colspan="11" class="t3a-pagination">
                                    <div class="col-xs-12 col-sm-8 text-left"><?php echo $this->pagination->getListFooter(); ?></div>
                                    <div class="col-xs-12 col-sm-4 text-right">Nr. Risultati: <?php echo $this->pagination->getLimitBox(); ?></div>
                                </td>
                            </tr>
                        </tfoot>
                        <tbody>
                            <?php if (!empty($this->gestori)) { ?>
                                <?php $i = 0; ?>
                                <?php foreach ($this->gestori as $i => $gestore) { ?>
                                    <?php $checked = JHTML::_('grid.id', $i++, $gestore->idGestore); ?>
                                    <?php
                                    if (JFile::exists(JPATH_SITE . DS . 'components' . DS . 'com_osma' . DS . 'files' . DS . 'compagnie' . DS . $gestore->idCompagnia . '.jpg')) {
                                        $img = JURI::root(true) . '/components/com_osma/files/compagnie/' . $gestore->idCompagnia . '.jpg';
                                    } else {
                                        $img = JURI::root(true) . '/components/com_osma/files/generic/no_img.gif';
                                    }
                                    ?>
                                    <tr>
                                        <td align="center" class="hidden-print"><?php echo $checked; ?></td>
                                        <td class="text-center hidden-print color-container" style="background-image: url(<?php echo $img ?>);">
                                            <div style=""><?php echo $gestore->compagnia ? $gestore->compagnia : "&nbsp;"; ?></div>
                                        </td>
                                        <td><?php echo $gestore->ragioneSociale; ?></td>
                                        <td><?php echo $gestore->indirizzo . " - " . $gestore->cap . ", " . $gestore->comune . " (" . $gestore->provincia . ")"; ?></td>
                                        <td><?php echo $gestore->piva; ?></td>
                                        <td><?php echo $gestore->cf; ?></td>
                                        <td><?php echo $gestore->nrRea; ?></td>
                                        <td><?php echo $gestore->nrPuntoVendita; ?></td>
                                        <td><?php echo osmaHelper::getAziende()[$gestore->idAzienda] ?></td>
                                        <td class="center hidden-print"><button data-toggle="modal" data-target="#viewContacts" data-idGestore="<?php echo $gestore->idGestore; ?>" class="btn btn-default btn-sm contact-btn"><span class="glyphicon glyphicon-earphone"></span></button></td>
                                        <td class="center hidden-print"><button data-toggle="modal" data-target="#viewMatricole" data-idGestore="<?php echo $gestore->idGestore; ?>" class="btn btn-default btn-sm matricole-btn"><span class="icon-link"></span></button></td>
                                    </tr>
                                <?php } //end foreach  ?>
                                <? }else{ ?>
                            <td colspan="11">Nessun gestore inserito.</td>
                        <?php } //end if empty ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <input type="hidden" name="task" value=""/>
    <input type="hidden" name="boxchecked" value="0"/>
    <?php echo JHtml::_('form.token'); ?>
</form>
<div class="modal fade bs-example-modal-lg" id="addGestore" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel">Dati Gestore</h4>
            </div>
            <div class="modal-body">
                ...
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>
            </div>
        </div>
    </div>
</div>
<div class="modal fade bs-example-modal-lg" id="viewContacts" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel">Contatti</h4>
            </div>
            <div class="modal-body">
                ...
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>
            </div>
        </div>
    </div>
</div>
<div class="modal fade bs-example-modal-lg" id="viewMatricole" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel">Matricole Associate</h4>
            </div>
            <div class="modal-body">
                ...
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>
            </div>
        </div>
    </div>
</div>
<div class="print-check"></div>
<style>
    .print-check { display: none;}
    @media print {
        .print-check { display: block;}
    }
</style>
<script type="text/javascript">

    jQuery(document).on('click', '.nuovo', function (event) {
        event.preventDefault();

        var idGestore = jQuery(this).attr('data-idGestore');
        jQuery('#addGestore').find(".modal-body").load('index.php?option=com_osma&task=gestori.addgestoriform&format=raw&id=' + idGestore);
        jQuery('#addGestore').find(".modal-footer").html('<button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button><button type="button" class="btn btn-primary salvabtn">Salva</button>');
        jQuery('#addGestore').modal();

        return false;
    });

    jQuery(document).on('click', '.print-all', function () {
        window.print();
    });

    jQuery(document).on('click', '.modifica', function (event) {
        event.preventDefault();

        var checked = true;
        var idGestore = "";
        jQuery.each(jQuery("input[name='cid[]']"), function (index, value) {
            if (jQuery(value).attr("checked")) {
                checked = true;
                idGestore = jQuery(value).val();
                return false;
            } else {
                checked = false;
            }
        });

        if (checked == true) {
            jQuery('#addGestore').find(".modal-body").load('index.php?option=com_osma&task=gestori.addgestoriform&format=raw&id=' + idGestore);
            jQuery('#addGestore').find(".modal-footer").html('<button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button><button type="button" class="btn btn-primary salvabtn">Salva</button>');
            jQuery('#addGestore').modal();
        } else {
            var msg = {
                error: ['Seleziona almeno un elemento nella lista.']
            };
            Joomla.renderMessages(msg);
        }
        return false;
    });

    jQuery(document).on('click', '.print-single', function (event) {
        event.preventDefault();

        var checked = true;
        var idGestore = "";
        jQuery.each(jQuery("input[name='cid[]']"), function (index, value) {
            if (jQuery(value).attr("checked")) {
                checked = true;
                idGestore = jQuery(value).val();
                return false;
            } else {
                checked = false;
            }
        });

        if (checked == true) {

            jQuery('#addGestore').find(".modal-body").load('index.php?option=com_osma&task=gestori.addgestoriform&format=raw&id=' + idGestore);
            jQuery('#addGestore').find(".modal-footer").html('<button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button><button type="button" class="btn btn-primary salvabtn">Salva</button>');

            var modal = jQuery('#addGestore'), modalBody = jQuery('#addGestore .modal-body');

            modal.on('shown.bs.modal', function (e) {
                e.stopImmediatePropagation();
                e.stopPropagation();
                modalBody.html("");
                modalBody.load('index.php?option=com_osma&task=gestori.printGestore&format=raw&id=' + idGestore, function () {

                    jQuery('body').addClass("print-modal");

                    window.print();

                    jQuery('body').removeClass("print-modal");
                    jQuery('#addGestore').modal('hide');
                    modal.unbind('shown.bs.modal');
                });
            }).modal();

        } else {
            var msg = {
                error: ['Seleziona almeno un elemento nella lista.']
            };
            Joomla.renderMessages(msg);
        }
        return false;
    });

    jQuery(document).on('click', '.pubblica', function (event) {
        event.preventDefault();

        var i = 0;
        var ids = [];

        jQuery.each(jQuery("input[name='cid[]']"), function (index, value) {
            if (jQuery(value).attr("checked")) {
                ids.push(jQuery(value).val());
            }
        });
        if (ids.length != 0) {
            //ajax call
            var url = "index.php?option=com_osma&task=gestori.pubblica&format=raw";
            jQuery.ajax({
                type: "POST",
                url: url,
                data: {ids: ids, type: 3
                }
            }).done(function (result) {
                var msg = {
                    success: ['Pubblicazione degli elementi selezionati avvenuta con successo.']
                };
                Joomla.renderMessages(msg);
                setInterval(function () {
                    refresh();
                }, 3000);
            });
        } else {
            var msg = {
                error: ['Seleziona almeno un elemento nella lista.']
            };
            Joomla.renderMessages(msg);
        }
        return false;
    });

    jQuery(document).on('click', '.sospendi', function (event) {
        event.preventDefault();

        var i = 0;
        var ids = [];

        jQuery.each(jQuery("input[name='cid[]']"), function (index, value) {
            if (jQuery(value).attr("checked")) {
                ids.push(jQuery(value).val());
            }
        });
        if (ids.length != 0) {
            //ajax call
            var url = "index.php?option=com_osma&task=gestori.sospendi&format=raw";
            jQuery.ajax({
                type: "POST",
                url: url,
                data: {ids: ids, type: 3
                }
            }).done(function (result) {
                var msg = {
                    success: ['Sospensione degli elementi selezionati avvenuta con successo.']
                };
                Joomla.renderMessages(msg);
                setInterval(function () {
                    refresh()
                }, 3000);
            });
        } else {
            var msg = {
                error: ['Seleziona almeno un elemento nella lista.']
            };
            Joomla.renderMessages(msg);
        }
        return false;
    });

    jQuery(document).on('click', '.rimuovi', function (event) {
        event.preventDefault();

        var i = 0;
        var ids = [];

        jQuery.each(jQuery("input[name='cid[]']"), function (index, value) {
            if (jQuery(value).attr("checked")) {
                ids.push(jQuery(value).val());
            }
        });
        if (ids.length != 0) {
            //chiedo conferma della Rimozione
            var r = confirm("Sei sicuro di voler eliminare gli elementi selezionati?");
            if (r == true) {
                var url = "index.php?option=com_osma&task=gestori.rimuovi&format=raw";
                jQuery.ajax({
                    type: "POST",
                    url: url,
                    data: {ids: ids, type: 3
                    }
                }).done(function (result) {
                    jQuery.each(jQuery("input[name='cid[]']"), function (index, value) {
                        if (jQuery(value).attr("checked")) {
                            el = jQuery(value);
                            el.parent().parent().remove();
                        }
                    });
                    var msg = {
                        success: ['Rimozione degli elementi selezionati avvenuta con successo.']
                    };
                    Joomla.renderMessages(msg);
                    setInterval(function () {
                        refresh();
                    }, 3000);
                });
            } else {
                return false;
            }
        } else {
            var msg = {
                error: ['Seleziona almeno un elemento nella lista.']
            };
            Joomla.renderMessages(msg);
        }
        return false;
    });

//visualizza contatti
    jQuery(document).on('click', '.contact-btn', function (event) {
        event.preventDefault();
        event.stopImmediatePropagation();
        event.stopPropagation();

        var idGestore = jQuery(this).attr('data-idGestore');
        jQuery('#viewContacts').find(".modal-body").load('index.php?option=com_osma&task=gestori.viewcontatti&format=raw&type=3&id=' + idGestore);
        jQuery('#viewContacts').find(".modal-footer").html('<button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>');
        jQuery('#viewContacts').modal();

        return false;
    });

//visualizza matricole associate
    jQuery(document).on('click', '.matricole-btn', function (event) {
        event.preventDefault();
        event.stopImmediatePropagation();
        event.stopPropagation();

        var idGestore = jQuery(this).attr('data-idGestore');
        jQuery('#viewMatricole').find(".modal-body").load('index.php?option=com_osma&task=gestori.viewmatricole&format=raw&id=' + idGestore);
        jQuery('#viewMatricole').find(".modal-footer").html('<button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>');
        jQuery('#viewMatricole').modal();

        return false;
    });


//salvataggio dati Gestore
    jQuery(document).on('click', '.salvabtn', function (event) {
        event.preventDefault();
        var inviaForm = 0;
        //controllo errori form
        /*jQuery('input[type="text"].obb').each(function(index, el) {
         if(!jQuery(this).val()){
         jQuery(this).parent().addClass("has-error");
         jQuery(this).parent().find('span').removeClass("hidden");
         }else{
         jQuery(this).parent().removeClass("has-error");
         jQuery(this).parent().addClass("has-success");
         jQuery(this).parent().find('span').addClass("hidden");
         }
         });*/
        var ragioneSociale = jQuery('.ragionesociale').val();

        if (ragioneSociale == "") {
            jQuery('.ragionesociale').parent().addClass("has-error");
            jQuery('.ragionesociale').parent().find('span').removeClass("hidden");
            inviaForm = 0;
        } else {
            jQuery('.ragionesociale').parent().removeClass("has-error");
            jQuery('.ragionesociale').parent().addClass("has-success");
            jQuery('.ragionesociale').parent().find('span').addClass("hidden");
            inviaForm = 1
        }

        if (inviaForm == 1) {
            var addgestoreformfield = jQuery('#add').serialize();

            jQuery.ajax({
                type: 'POST',
                url: 'index.php?option=com_osma&task=gestori.salva&format=raw&tmpl=component&type=3',
                data: addgestoreformfield,
                dataType: 'html'
            }).done(function (data) {
                if (data == 'error') {
                    jQuery('#addGestore').modal('toggle');
                    var msg = {
                        error: ['Errore nel salvataggio dei dati.']
                    };
                    Joomla.renderMessages(msg);
                    setInterval(function () {
                        refresh()
                    }, 3000);
                } else {
                    jQuery('#addGestore').modal('toggle');
                    var msg = {
                        success: ['Salvataggio dati avvenuto con successo.']
                    };
                    Joomla.renderMessages(msg);
                    setInterval(function () {
                        refresh()
                    }, 3000);
                }
            });
        }

        return false;
    });

//aggiunta nuovo contatto
    jQuery(document).on('click', '.nuovoContatto', function (event) {
        event.preventDefault();

        el = jQuery(this);
        var count = el.attr('data-rowcount');
        count = parseFloat(count) + 1;

        var html = '';
        html += '<div class="panel panel-warning">';
        html += '<div class="panel-body">';
        html += '<div class="row">';
        html += '<div class="form-group col-md-10">';
        html += '<input type="text" class="riferimento form-control" name="contatti[' + count + '][riferimento]" id="riferimento' + count + '" placeholder="Riferimento" value=""/>';
        html += '</div>';
        html += '<div class="form-group col-md-2">';
        html += '<button class="btn btn-danger btn-sm remove-btn pull-right"><span class="glyphicon glyphicon-remove"></span></button>';
        html += '</div>';
        html += '<div class="form-group col-md-6">';
        html += '<input type="text" class="email form-control" name="contatti[' + count + '][email]" id="email' + count + '" placeholder="Email" value=""/>';
        html += '</div>';
        html += '<div class="form-group col-md-6">';
        html += '<input type="text" class="telefono form-control" name="contatti[' + count + '][telefono]" id="telefono' + count + '" placeholder="Telefono" value=""/>';
        html += '</div>';
        html += '</div>';
        html += '</div>';
        html += '</div>';

        jQuery('.contatti-group').append(html);
        el.attr('data-rowcount', count);
    });
//rimozione nuovo contatto
    jQuery(document).on('click', '.remove-btn', function (event) {
        event.preventDefault();
        el = jQuery(this).parent().parent().parent().parent().remove();
    });

//aggiunta nuovo contatto
    jQuery(document).on('click', '.nuovaCisterna', function (event) {
        event.preventDefault();

        el = jQuery(this);
        var count = el.attr('data-rowcount');
        count = parseFloat(count) + 1;

        var html = '';
        html += '<div class="panel panel-warning">';
        html += '<div class="panel-body">';
        html += '<div class="row">';
        html += '<div class="form-group col-md-10">';
        html += '<input type="text" class="nrcisterna form-control" name="cisterne[' + count + '][nrCisterna]" id="nrCisterna' + count + '" placeholder="Numero Cisterna" value=""/>';
        html += '</div>';
        html += '<div class="form-group col-md-2">';
        html += '<button class="btn btn-danger btn-sm remove-btn-cist pull-right"><span class="glyphicon glyphicon-remove"></span></button>';
        html += '</div>';
        html += '<div class="form-group col-md-6">';
        html += '<input type="text" class="capienza form-control" name="cisterne[' + count + '][capienza]" id="capienza' + count + '" placeholder="Capienza" value=""/>';
        html += '</div>';
        html += '<div class="form-group col-md-6">';
        html += '<select name="cisterne[' + count + '][prodotto]" id="prodotto' + count + '" placeholder="Prodotto">';
        html += '<option value="" disabled selected hidden>Prodotto Erogato</option>';
<?php foreach ($this->prodotti as $prodotto) { ?>
            html += '<option value="<?php echo $prodotto->idProdottoErogato; ?>"><?php echo $prodotto->prodottoErogato; ?></option>';
<?php } ?>
        html += '</select>';
        html += '</div>';
        html += '<div class="form-group col-md-6">';
        html += '<select name="cisterne[' + count + '][presenza]" id="presenza' + count + '" placeholder="Presenza intercapedine">';
        html += '<option value="" disabled selected hidden>Presenza intercapedine</option>';
        html += '<option value="" hidden></option>'
        html += '<option value="0">No</option>';
        html += '<option value="1">Si</option>';
        html += '</select>';
        html += '</div>';
        html += '<div class="form-group col-md-6">';
        html += '<textarea class="note form-control" name="cisterne[' + count + '][note]" id="note' + count + '" placeholder="Note"><?php echo $cisterna->note; ?></textarea>';
        html += '</div>';
        html += '</div>';
        html += '</div>';
        html += '</div>';

        jQuery('.cisterne-group').append(html);
        el.attr('data-rowcount', count);
    });

//rimozione cisterna
    jQuery(document).on('click', '.remove-btn-cist', function (event) {
        event.preventDefault();
        el = jQuery(this).parent().parent().parent().parent().remove();
    });

//refresh page dopo aver mostrato il messaggio di salvataggio
    function refresh() {
        window.location.reload(true);
    }

    jQuery(document).on('click', '.associa', function (event) {
        alert('Ricordati di completare la scheda cliente dopo aver salvato.');
    });

</script>
