<?php
defined('_JEXEC') or die('Restricted access');
?>
<?php if (!osmaHelper::isAccessLevel(COM_OSMA_AL_MANUTENTORI)) { ?>
    <div class="visible-xs col-xs-12 text-right">
        <div class="btn-group btn-group-small">
            <button data-target="#addMatricola" data-idMatricola="0" class="btn btn-success nuovo col-xs-3"><span class="fa fa-plus-circle"></span> <?php echo "Nuovo"; ?></button>
            <button data-target="#addMatricola" class="btn btn-primary modifica col-xs-3"><span class="fa fa-pencil-square-o"></span> <?php echo "Modifica"; ?></button>
            <button class="btn btn-info pubblica col-xs-3"><span class="fa fa-check-circle"></span> <?php echo "Pubblica"; ?></button>
            <button class="btn btn-warning sospendi col-xs-3"><span class="fa fa-minus-circle"></span> <?php echo "Sospendi"; ?></button>
            <button class="btn btn-danger rimuovi col-xs-3"><span class="fa fa-times-circle"></span> <?php echo "Elimina"; ?></button>
            <button class="btn btn-info associa col-xs-3"><span class="icon-link"></span> <?php echo "Associa a gestore"; ?></button>
            <button class="btn btn-danger dissocia col-xs-3"><span class="icon-unlink"></span> <?php echo "Dissocia matricola"; ?></button>
        </div>
    </div>
<?php } ?>
<div class="col-lg-6 col-sm-12 col-xs-12">
    <form action="<?php echo JRoute::_('index.php?option=com_osma&view=matricole'); ?>" method="post" id="adminForm" class="form-validate matricoleForm" name="matricoleForm">
        <fieldset class="t3a-form row" id="t3a-form">
            <div class="field col-sm-4 col-xs-12">
                <div class='control-group has-icon'>
                    <input type="text" placeholder="Ricerca" name="filter_search" id="filter_search" value="<?php echo $this->searchterms; ?>" class="has-icon-left"/>
                    <span class="control-group-icon fa fa-search" data-toggle="filter_data"></span>
                </div>
            </div>
            <div class="col-sm-4 col-xs-12">
                <label>Stato</label>
                <select name="filter_status" id="filter_status" class="chosen">
                    <option value="0" <?php echo ($this->status == 0 ? 'selected="selected"' : "") ?>>Qualsiasi</option>
                    <option value="1" <?php echo ($this->status == 1 ? 'selected="selected"' : "") ?>>Con associazione</option>
                    <option value="2" <?php echo ($this->status == 2 ? 'selected="selected"' : "") ?>>Senza associazione</option>
                </select>
            </div>
            <div class="field col-sm-4 col-xs-12 text-center">
                <div class="btn-group btn-group-small">
                    <span class="col-sm-2 hidden-xs"></span>
                    <input type="submit" class="btn col-sm-4 col-xs-6" value="<?php echo JText::_('Trova'); ?>" />
                    <button class="btn reset-form col-sm-4 col-xs-6"><?php echo JText::_('Reset'); ?></button>
                </div>
            </div>
        </fieldset> 
    </form>
</div>
<?php if (!osmaHelper::isAccessLevel(COM_OSMA_AL_MANUTENTORI)) { ?>
    <div class="hidden-xs col-sm-6 text-right">
        <div class="btn-group btn-group-small">
            <button data-target="#addMatricola" data-idMatricola="0" class="btn btn-success nuovo col-sm-3"><span class="fa fa-plus-circle"></span> <?php echo "Nuovo"; ?></button>
            <button data-target="#addMatricola" class="btn btn-primary modifica col-sm-3"><span class="fa fa-pencil-square-o"></span> <?php echo "Modifica"; ?></button>
            <button class="btn btn-info pubblica col-sm-3"><span class="fa fa-check-circle"></span> <?php echo "Pubblica"; ?></button>
            <button class="btn btn-warning sospendi col-sm-3"><span class="fa fa-minus-circle"></span> <?php echo "Sospendi"; ?></button>
            <button class="btn btn-danger rimuovi col-sm-3"><span class="fa fa-times-circle"></span> <?php echo "Elimina"; ?></button>
            <button class="btn btn-info associa col-sm-3"><span class="icon-link"></span> <?php echo "Associa a gestore"; ?></button>
            <button class="btn btn-danger dissocia col-sm-3"><span class="icon-unlink"></span> <?php echo "Dissocia matricola"; ?></button>
        </div>
    </div>
<?php } ?>