<!DOCTYPE html>
<html>
    <head>
        <style>

            html, body, div, span, applet, object, iframe,
            h1, h2, h3, h4, h5, h6, p, blockquote, pre,
            a, abbr, acronym, address, big, cite, code,
            del, dfn, em, font, img, ins, kbd, q, s, samp,
            small, strike, strong, sub, sup, tt, var,
            dl, dt, dd, ol, ul, li,
            fieldset, form, label, legend,
            table, caption, tbody, tfoot, thead, tr, th, td {
                margin: 0;
                padding: 0;
                border: 0;
                outline: 0;
                font-weight: inherit;
                font-style: inherit;
                font-size: 100%;
                font-family: inherit;
                vertical-align: baseline;
            }
            :focus {
                outline: 0;
            }
            body {
                line-height: 1;
                color: black;
                background: white;
            }
            ol, ul {
                list-style: none;
            }
            table {
                border-collapse: separate;
                border-spacing: 0;
            }
            caption, th, td {
                text-align: left;
                font-weight: normal;
            }
            blockquote:before, blockquote:after,
            q:before, q:after {
                content: "";
            }
            blockquote, q {
                quotes: "" "";
            }

            img {
                -ms-interpolation-mode: bicubic;
            }

            * {
                box-sizing: border-box;
            }

            html body {
                font-size: 13px;
                line-height: 1.1;
                font-family: 'Helvetica', sans-serif;
                padding: 1.25cm;
            }

            .pull-left {
                float: left;
            }

            .clearfix{
                content: "";
                display: table;
                width: 100%; 
                clear: both;
            }

            table {
                width: 100%;
            }

            hr {
                border: 0;
            }
            label {
                font-weight: bold;
            }

            table td {
                vertical-align: middle;
                font-size: 14px;
            }

            p.page-braker { page-break-after: always; }
            html { margin: 15px 15px 15px;}
            @page { padding: 15px 15px 15px; position: relative;}

            footer {position: fixed; bottom: 0; left: 40px; right: 40px}
            footer table td {font-size: 11px; padding: 3px}
            footer table td b {font-size: 11px}
            footer .pagenum:before {content: counter(page);}

            table.bordered td {
                border: 1px solid #000;
                padding: 5px;
                vertical-align: middle;
            }
        </style>
    </head>
    <body>
        <table cellpadding='0' cellspacing='0' style='margin-bottom: 20px;'>
            <tr style=''>
                <td style='width: 55%; text-align: left; font-weight: bold;' align='center'>
                    OSMA SRL<br>
                    Zona Industrialie nr. 8 <br/>
                    28891 - Nonio (VB)<br>
                    Tel. / Fax: 0323.889158<br>
                    P.IVA e C.F. e Reg. Imp. di VB 01971090038
                </td>
                <td style='width: 45%; text-align: right;'>
                    <img src="components/com_osma/templates/assets/img/osma_logo.png" style='height: 115px; width: 180px;'/>
                </td>
            </tr>
        </table>
        <table style='margin-bottom: 15px;'>
            <tr>
                <td style='font-size: 13px; padding-bottom: 20px;'>
                    <b>Allegato II</b> (Articolo 4, comma 3)
                </td>
            </tr>
            <tr>
                <td style='font-size: 13px; padding-bottom: 10px;'>
                    <b>Utente metrico:</b> <?php echo $checklist->ragioneSociale ?> (<?php echo $checklist->compagnia ?> - <?php echo $checklist->nrPuntoVendita ?>)<br>
                    <b>Indirizzo:</b> <?php echo $checklist->indirizzo ?>, <?php echo $checklist->cap ?>, <?php echo $checklist->comune ?> (<?php echo $checklist->provincia ?>)
                </td>
            </tr>
            <tr>
                <td style='font-size: 13px; padding-bottom: 20px;'>
                    <b>N° matricola distributore di carburante:</b> <?php echo $checklist->matricolaDistributore ?><br>
                    <b>N° matricola SSD:</b> <?php echo $checklist->matricolaSSD ?>
                </td>
            </tr>
            <tr>
                <td style='text-align: left; font-size: 13px; padding-bottom: 10px;'>
                    Lista di controllo (checklist) per la verifica dei requisiti dell'allegato I
                </td>
            </tr>
        </table>

        <table style='' class='bordered'>
            <tr>
                <td style='width: 10%; text-align: center;'>
                    <b>Requisiti</b>
                </td>
                <td style='width: 55%; text-align: center'>
                    <b>Descrizione del controllo</b>
                </td>
                <td style='width: 5%; text-align: center'>
                    <b>+</b>
                </td>
                <td style='width: 5%; text-align: center'>
                    <b>-</b>
                </td>
                <td style='width: 25%; text-align: center'>
                    <b>Note</b>
                </td>
            </tr>
            <tr>
                <td style='text-align: center;'>1.1</td>
                <td>Il dispositivo per la riproduzione della quantità misurata e del prezzo (se calcolato) indica in maniera corretta quanto visualizzato nel display del distributore di carburante.</td>
                <td style='text-align: center; font-weight: bold;'><?php echo $checklist->checks['1.1']['check'] ? "X" : null ?></td>
                <td style='text-align: center; font-weight: bold;'><?php echo $checklist->checks['1.1']['check'] ? null : "X" ?></td>
                <td><?php echo trim($checklist->checks['1.1']['note']) ? $checklist->checks['1.1']['note'] : null ?></td>
            </tr>
            <tr>
                <td style='text-align: center;'>2.1</td>
                <td>È inibita la prenotazione di una nuova erogazione oppure è chiaramente segnalata al cliente l'indisponibilità della ricevuta in caso di assenza della stampante, di un suo guasto o di mancanza della carta nella stessa.</td>
                <td style='text-align: center; font-weight: bold;'><?php echo $checklist->checks['2.1']['check'] ? "X" : null ?></td>
                <td style='text-align: center; font-weight: bold;'><?php echo $checklist->checks['2.1']['check'] ? null : "X" ?></td>
                <td><?php echo trim($checklist->checks['2.1']['note']) ? $checklist->checks['2.1']['note'] : null ?></td>
            </tr>
            <tr>
                <td style='text-align: center;'>2.2</td>
                <td>I dati visualizzati dal sistema di misura e lo scontrino di ricevuta a seguito di una erogazione effettuata con carta elettronica di pagamento sono corrispondenti.</td>
                <td style='text-align: center; font-weight: bold;'><?php echo $checklist->checks['2.2']['check'] ? "X" : null ?></td>
                <td style='text-align: center; font-weight: bold;'><?php echo $checklist->checks['2.2']['check'] ? null : "X" ?></td>
                <td><?php echo trim($checklist->checks['2.2']['note']) ? $checklist->checks['2.2']['note'] : null ?></td>
            </tr>
            <tr>
                <td style='text-align: center;'>2.3</td>
                <td>I dati dello scontrino di resto con quelli visualizzati dal sistema di misura nel caso di una erogazione incompleta o non iniziata prepagata con banconote sono congruenti.</td>
                <td style='text-align: center; font-weight: bold;'><?php echo $checklist->checks['2.3']['check'] ? "X" : null ?></td>
                <td style='text-align: center; font-weight: bold;'><?php echo $checklist->checks['2.3']['check'] ? null : "X" ?></td>
                <td><?php echo trim($checklist->checks['2.3']['note']) ? $checklist->checks['2.3']['note'] : null ?></td>
            </tr>
            <tr>
                <td style='text-align: center;'>2.4</td>
                <td>Nel caso di cambio del prezzo unitario nel corso dell'erogazione, l'importo è determinato dal prezzo unitario relativo al momento in cui l'erogazione ha avuto inizio.</td>
                <td style='text-align: center; font-weight: bold;'><?php echo $checklist->checks['2.4']['check'] ? "X" : null ?></td>
                <td style='text-align: center; font-weight: bold;'><?php echo $checklist->checks['2.4']['check'] ? null : "X" ?></td>
                <td><?php echo trim($checklist->checks['2.3']['note']) ? $checklist->checks['2.4']['note'] : null ?></td>
            </tr>
            <tr>
                <td style='text-align: center;'>2.5</td>
                <td>È previsto un tempo di attesa oltre il quale l'erogazione si conclude in modo automatico.</td>
                <td style='text-align: center; font-weight: bold;'><?php echo $checklist->checks['2.5']['check'] ? "X" : null ?></td>
                <td style='text-align: center; font-weight: bold;'><?php echo $checklist->checks['2.5']['check'] ? null : "X" ?></td>
                <td><?php echo trim($checklist->checks['2.5']['note']) ? $checklist->checks['2.5']['note'] : null ?></td>
            </tr>
            <tr>
                <td style='text-align: center;'>2.6</td>
                <td>L'intervento del dispositivo di minimo livello consente di terminare l'erogazione in corso e inibisce le successive.</td>
                <td style='text-align: center; font-weight: bold;'><?php echo $checklist->checks['2.6']['check'] ? "X" : null ?></td>
                <td style='text-align: center; font-weight: bold;'><?php echo $checklist->checks['2.6']['check'] ? null : "X" ?></td>
                <td><?php echo trim($checklist->checks['2.6']['note']) ? $checklist->checks['2.6']['note'] : null ?></td>
            </tr>
            <tr>
                <td style='text-align: center;'>2.7</td>
                <td>I dati degli eventi e delle prove effettuate sono stati registrati su supporto durevole.</td>
                <td style='text-align: center; font-weight: bold;'><?php echo $checklist->checks['2.7']['check'] ? "X" : null ?></td>
                <td style='text-align: center; font-weight: bold;'><?php echo $checklist->checks['2.7']['check'] ? null : "X" ?></td>
                <td><?php echo trim($checklist->checks['2.7']['note']) ? $checklist->checks['2.7']['note'] : null ?></td>
            </tr>
        </table>

        <div style='margin: 15px 0; font-size: 13px;'>Data: <?php echo date("d/m/Y", strtotime($checklist->inserted)) ?></div>

        <?php
        $explode1 = explode(";base64,", $checklist->firma1);
        $sizes1 = getimagesizefromstring(base64_decode($explode1[1]));

        $new1 = $new2 = 200;
        if ($sizes1[0] > $new) {
            $newh1 = round(($new1 * $sizes1[1]) / $sizes1[0], 0);
        } else {
            $new1 = $sizes1[0];
            $neh1 = $sizes1[1];
        }

        $explode2 = explode(";base64,", $checklist->firma1);
        $sizes2 = getimagesizefromstring(base64_decode($explode2[1]));
        
        if ($sizes2[0] > $new2) {
            $newh2 = round(($new2 * $sizes2[1]) / $sizes2[0], 0);
        } else {
            $new2 = $sizes2[0];
            $neh2 = $sizes2[1];
        }
        ?>

        <table style='margin: 30px 0;'>
            <tr>
                <td style='width: 40%; text-align: center;'>
                    Firma utente metrico:<br><br>
                    <img src='<?php echo $checklist->firma1 ?>' style='width: <?php echo $new1 ?>; height: <?php echo $neh1 ?>;' />
                </td>
                <td style='width: 10%'>
                </td>
                <td style='width: 40%; text-align: center;'>
                    Firma tecnico:<br><br>
                    <img src='<?php echo $checklist->firma2 ?>' style='width: <?php echo $new2 ?>; height: <?php echo $neh2 ?>;' />
                </td>
            </tr>
        </table>

        <div style='margin-top: 15px; font-weight: bold; font-size: 13px;'>
            NB: La verifica dei requisiti della presente checklist è relativa alla condizione in cui si trovava lo strumento al momento della verifica stessa, pertanto la OSMA SRL non  si assume nessuna responsabilità 
            e/o manomissioni che si potrebbero riscontrare successivamente al nostro intervento di messa in servizio.
        </div>

    </body>
</html>