<?php
defined('_JEXEC') or die('Restricted access');
$user = JFactory::getUser();
$userid = $user->id;
?>
<div class="row clearfix text-right">
    <div class="btn-group btn-group-small col-xs-12 col-sm-offset-6 col-sm-6">
        <?php if (osmaHelper::isAccessLevel(COM_OSMA_AL_ADMIN)) { ?>
            <a href="index.php?option=com_osma&task=dashboard.export&format=raw" class="btn btn-success export col-xs-4 col-sm-4">
                <span class="fa fa-external-link"></span> Esporta in excel
            </a>
        <?php } ?>
        <a href="#" class="print-all btn btn-info col-xs-4 col-sm-4">
            <span class="fa fa-print" aria-hidden="true" title="Stampa Vista" data-toggle="tooltip"></span> Stampa
        </a>
        <?php if (osmaHelper::isAccessLevel(COM_OSMA_AL_MANUTENTORI)) { ?>
            <a href="javascript:void(0);" class="btn btn-warning invia-nuova-comunicazione col-xs-4 col-sm-4" data-toggle="modal" data-target="#invia-nuova-comunicazione">
                <span class="glyphicon glyphicon-envelope"></span> Invia comunicazione
            </a>
        <?php } ?>
        <?php if (!osmaHelper::isAccessLevel(COM_OSMA_AL_MANUTENTORI)) { ?>
            <a href="<?php echo JRoute::_('index.php?option=com_osma&view=chiamata&idChiamata=0'); ?>" class="btn btn-success nuovo col-xs-4 col-sm-4">
                <span class="fa fa-plus-circle"></span> Nuova chiamata
            </a>
        <?php } ?>
    </div>
</div>
<form action="<?php echo JRoute::_('index.php?option=com_osma&view=chiamate'); ?>" method="POST" id="search" class="form-validate search t3a-form" id="t3a-form" name="search">
    <div class="flex flex-wrap row">
        <div class="field col-sm-3 col-xs-12">
            <div class='control-group has-icon'>
                <input type="text" placeholder="Ricerca" name="filter_search" id="filter_search" value="<?php echo $this->searchterms; ?>" class="has-icon-left"/>
                <span class="control-group-icon fa fa-search" data-toggle="filter_data"></span>
            </div>
        </div>
        <div class="field  col-sm-3 col-xs-6">
            <select name="filter_cliente" id="filter_cliente" class="chosen" data-placeholder="Seleziona cliente">
                <option value="" <?php echo(!$this->comuneFilter ? "selected='selected'" : "") ?>></option>
                <?php foreach ($this->clienti as $cliente) { ?>
                    <option value="<?php echo $cliente->idCliente; ?>" <?php echo ($this->clienteFilter == $cliente->idCliente ? "selected='selected'" : "") ?>><?php echo $cliente->ragioneSociale; ?></option>
                <?php } ?>
            </select>
        </div>
        <div class="field col-sm-3 col-xs-6">
            <select name="filter_status[]" id="filter_status" class='chosen' data-placeholder="Stato" multiple>
                <option <?php echo((!$this->status || $this->status=="" || count($this->status)==0) ? "selected='selected'" : "") ?> ></option>
                <option value="7" <?php echo(in_array(7,$this->status) ? "selected='selected'" : "") ?>>Da assegnare</option>
                <option value="1" <?php echo(in_array(1,$this->status) ? "selected='selected'" : "") ?>>Aperte</option>
                <option value="2" <?php echo(in_array(2,$this->status) ? "selected='selected'" : "") ?>>In corso</option>
                <option value="3" <?php echo(in_array(3,$this->status) ? "selected='selected'" : "") ?>>Sospese</option>
                <option value="8" <?php echo(in_array(8,$this->status) ? "selected='selected'" : "") ?>>Da preventivare</option>
                <option value="9" <?php echo(in_array(9,$this->status) ? "selected='selected'" : "") ?>>Da consuntivare</option>
                <option value="10" <?php echo(in_array(10,$this->status) ? "selected='selected'" : "") ?>>Fatturata</option>
                <option value="11" <?php echo(in_array(11,$this->status) ? "selected='selected'" : "") ?>>Da evadere</option>
                <option value="12" <?php echo(in_array(12,$this->status) ? "selected='selected'" : "") ?>>Da riformulare</option>
                <option value="13" <?php echo(in_array(13,$this->status) ? "selected='selected'" : "") ?>>Preventivata</option>
                <option value="14" <?php echo(in_array(14,$this->status) ? "selected='selected'" : "") ?>>Rifiutata</option>
                <option value="15" <?php echo(in_array(15,$this->status) ? "selected='selected'" : "") ?>>Evasa</option>
                <option value="16" <?php echo(in_array(16,$this->status) ? "selected='selected'" : "") ?>>Terminata</option>
                <option value="5" <?php echo(in_array(5,$this->status) ? "selected='selected'" : "") ?>>In attesa di autorizzazione intervento</option>
                <option value="6" <?php echo(in_array(6,$this->status) ? "selected='selected'" : "") ?>>In attesa di autorizzazione fatturazione</option>
                <option value="4" <?php echo(in_array(4,$this->status) ? "selected='selected'" : "") ?>>Chiuse</option>
            </select>
        </div>
        <div class="field col-sm-3 col-xs-6">
            <select name="filter_type[]" id="filter_type" class='chosen' data-placeholder="Tipo di intervento" multiple>
                <option <?php echo((!$this->type || $this->type=="" || count($this->type)==0) ? "selected='selected'" : "") ?>></option>
                <option value="1" <?php echo(in_array(1,$this->type) ? "selected='selected'" : "") ?>>Meccanico</option>
                <option value="2" <?php echo(in_array(2,$this->type) ? "selected='selected'" : "") ?>>Edile</option>
                <option value="3" <?php echo(in_array(3,$this->type) ? "selected='selected'" : "") ?>>Elettrico</option>
                <option value="4" <?php echo(in_array(4,$this->type) ? "selected='selected'" : "") ?>>Elettronico</option>
                <option value="5" <?php echo(in_array(5,$this->type) ? "selected='selected'" : "") ?>>Video Sorveglianza</option>
                <option value="6" <?php echo(in_array(6,$this->type) ? "selected='selected'" : "") ?>>Antintrusione</option>
            </select>
        </div>
        <div class="field col-sm-3 col-xs-6 margin-top-sm">
            <select name="filter_chiamata[]" id="filter_chiamata" class='chosen ' data-placeholder="Tipo di chiamata" multiple>
                <option <?php echo((!$this->tipoChiamataFilter || $this->tipoChiamataFilter=="" || count($this->tipoChiamataFilter)==0) ? "selected='selected'" : "") ?> ></option>
                <option value="1" <?php echo(in_array(1,$this->tipoChiamataFilter) ? "selected='selected'" : "") ?>>Forfait</option>
                <option value="2" <?php echo(in_array(2,$this->tipoChiamataFilter) ? "selected='selected'" : "") ?>>Extra Forfait</option>
                <option value="3" <?php echo(in_array(3,$this->tipoChiamataFilter) ? "selected='selected'" : "") ?>>Programmata</option>
                <option value="4" <?php echo(in_array(4,$this->tipoChiamataFilter) ? "selected='selected'" : "") ?>>Giroluci</option>
                <option value="5" <?php echo(in_array(5,$this->tipoChiamataFilter) ? "selected='selected'" : "") ?>>Presa Visione</option>
            </select>
        </div>
        <?php if (!osmaHelper::isAccessLevel(COM_OSMA_AL_UTENZE)) : ?>
            <div class="field margin-top-sm col-sm-3 col-xs-6">
                <select multiple name="filter_manutentore[]" id="filter_manutentore" class="chosen man-select" tabindex="11" data-placeholder="Seleziona manutentore" <?php echo (osmaHelper::getAccessLevel() == COM_OSMA_AL_MANUTENTORI ? 'disabled="disabled"' : "") ?>>
                    <option <?php echo((!$this->manFilter || $this->manFilter=="" || count($this->manFilter)==0) ? "selected='selected'" : "") ?> ></option>
                    <?php foreach ($this->manutentori as $manut) { ?>
                        <option value="<?php echo $manut->idUser; ?>" <?php echo ((in_array($manut->idUser,$this->manFilter) || (osmaHelper::isAccessLevel(COM_OSMA_AL_MANUTENTORI) && $manut->idUser == $userid)) ? "selected='selected'" : "") ?>><?php echo $manut->name; ?></option>
                    <?php } ?>
                </select>
            </div>
        <?php endif; ?>
        <div class="field margin-top-sm col-sm-3 col-xs-6">
            <select name="filter_comune" id="filter_comune" class="chosen" data-placeholder="Seleziona città">
                <option value="" <?php echo(!$this->comuneFilter ? "selected='selected'" : "") ?>></option>
                <?php foreach ($this->comuni as $comune) { ?>
                    <option value="<?php echo $comune->comune; ?>" <?php echo ($this->comuneFilter == $comune->comune ? "selected='selected'" : "") ?>><?php echo $comune->comune; ?></option>
                <?php } ?>
            </select>
        </div>
        <div class="field col-sm-3 col-xs-6 margin-top-sm">
            <select name="filter_provincia[]" id="filter_provincia" class="chosen" data-placeholder="Seleziona provincia" multiple>
                <option <?php echo((!$this->provinciaFilter || $this->provinciaFilter=="" || count($this->provinciaFilter)==0) ? "selected='selected'" : "") ?> ></option>
                <?php foreach ($this->provincie as $provincia) { ?>
                <option value="<?php echo $provincia->provincia; ?>" <?php echo (in_array($provincia->provincia,$this->provinciaFilter) ? "selected='selected'" : "") ?>><?php echo $provincia->provincia; ?></option>
                <?php } ?>
            </select>
        </div>
        <div class="field margin-top-sm col-sm-3 col-xs-6">
            <div class='control-group date has-icon'>
                <input name="filter_data" id="filter_data" type='text' class="has-icon-left" placeholder='Data intervento' value="<?php echo $this->dataFilter; ?>"/>
                <span class="control-group-icon fa fa-calendar pointer" data-toggle="filter_data"></span>
            </div>
        </div>
        <div class="field margin-top-sm col-sm-3 col-xs-6">
            <div class='control-group date has-icon'>
                <input name="filter_da" id="filter_da" type='text' class="has-icon-left" placeholder='Data chiamata da' value="<?php echo $this->daFilter; ?>"/>
                <span class="control-group-icon fa fa-calendar pointer" data-toggle="filter_da"></span>
            </div>
        </div>
        <div class="field margin-top-sm col-sm-3 col-xs-6">
            <div class='control-group date has-icon'>
                <input name="filter_a" id="filter_a" type='text' class="has-icon-left" placeholder='Data chiamata fino a' value="<?php echo $this->aFilter; ?>"/>
                <span class="control-group-icon fa fa-calendar pointer" data-toggle="filter_a"></span>
            </div>
        </div>
        <div class="field margin-top-sm col-sm-3 col-xs-12 text-center">
            <div class="btn-group btn-group-small">
                <span class="col-sm-2 hidden-xs"></span>
                <input type="submit" class="btn col-sm-4 col-xs-6" value="<?php echo JText::_('Trova'); ?>" />
                <button class="btn reset-form col-sm-4 col-xs-6"><?php echo JText::_('Reset'); ?></button>
            </div>
        </div>
    </div>
    <input type="hidden" name="filter_scadute" value="<?php echo $this->scaduteFilter; ?>" />
    <input type="hidden" name="filter_daconsuntivare" value="<?php echo $this->daconsuntivareFilter; ?>" />
</form> 